## mon-contrib 1.0%2Bdfsg

=== debian/changelog ===
mon-contrib (1.0+dfsg-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 19:25:06 +0000

mon-contrib (1.0+dfsg-5) unstable; urgency=medium

  * Team upload of Debian team

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * d/rules: remove useless boilerplate
  * Sorting the output of find to make Build reproducible
    Closes: #848283
  * Replace Homepage
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Replace spaces in short license names with dashes.
  * watch file standard 4 (routine-update)
  * d/copyright: Fix some lintian issues

 -- Andreas Tille <tille@debian.org>  Thu, 10 Oct 2024 22:56:19 +0200

mon-contrib (1.0+dfsg-4) unstable; urgency=medium

  * Remove softraid.monitor because we have a better one in etbemon 1.3.2.

 -- Russell Coker <russell@coker.com.au>  Sun, 27 Aug 2017 14:57:17 +1000

mon-contrib (1.0+dfsg-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove ps.monitor and remote.monitor as they are moved to the mon package.
  * Fix the path for the softraid stats file Closes: #823840
  * Ignore softraid bitmap status to avoid false alerts Closes: #823847
  * Make scripts not use /tmp in a possibly insecure way. Closes: #824980

 -- Russell Coker <russell@coker.com.au>  Thu, 08 Dec 2016 22:28:15 +1100

mon-contrib (1.0+dfsg-3) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Git and Vcs-Browse URLs.
    - Bump Standards-Version to 3.9.5 (no changes)
  * debian/copyright:
    - Fix duplicate field 'Copyright'.
    - Update copyright year.

 -- Dario Minnucci <midget@debian.org>  Thu, 03 Jul 2014 03:09:37 +0200

mon-contrib (1.0+dfsg-2) unstable; urgency=low

  * Package refreshed
  * debian/control:
    - Bump Standards-Version to 3.9.3
    - Build-Depends updated to use debhelper >=9
    - Homepage URL updated. (Closes: #659995)
  * debian/copyright:
    - Fixes for DEP5 compatibility
    - Copyright years updated
  * debian/patches: Patch headers adapted to DEP3

 -- Dario Minnucci <midget@debian.org>  Thu, 12 Apr 2012 04:19:04 +0200

mon-contrib (1.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #613220)
  * debian/patches:
    + 00-update-ospf.monitor.diff
    + 00-update-rbl-monitor.diff
    + 00-replacement-for-dir_file_age.monitor.diff
    + 00-replacement-for-softraid.monitor.diff
    + 00-sms.alert.copyright.README.diff
    + 01-fix-wrong-path-for-interpreter.diff
    + 05-add-smblist-monitor.diff (previously provided by mon package)
    + 05-extract-README-info-form-informix.monitor.diff (script cleanup)
    + 05-extract-README-info-from-smtp_rt.monitor.diff (script cleanup)
    + 05-extract-README-info-from-sqlconn.monitor.diff (script cleanup)
  * debian/exclude-monitors:
    - bootp.monitor: Is obsolete along with the CMU bootpd software it
      is based on.
    - mon.monitor: Already present in 'mon' package
    - phttp.monitor: Already present in 'mon' package
    - snmpdiskspace.monitor: Already present in 'mon' package
    - radius.monitor: Already present in 'mon' package
  * debian/README.source:
    - Upstream's sources contains files issued under unknown license
      and obsolete code so we need to repack the provided .tar.gz fil
      to make it DFSG compliant. See debian/README.source before repacking
      upstrem's .tar.gz file.

 -- Dario Minnucci <midget@debian.org>  Thu, 07 Jul 2011 15:10:23 +0200
