## mon-contrib 1.0+dfsg

=== debian/control ===
Source: mon-contrib
Maintainer: Dario Minnucci <midget@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/mon-contrib
Vcs-Git: https://salsa.debian.org/debian/mon-contrib.git
Homepage: https://sourceforge.net/projects/mon/
Rules-Requires-Root: no

Package: mon-contrib
Architecture: any
Depends: mon,
         ${shlibs:Depends},
         ${misc:Depends}
Description: contributed tools, monitors and alert for mon
 mon-contrib is the mon /contrib archive. It contains user-submitted
 add-ons to mon, which are not included in the main mon distribution.
 .
 Most submissions are not checked by the archive maintainers for quality
 and some may not work, or work how you expect them to (most are quite
 good, though).
 .
 If you have something to contribute, either a new submission or a patch
 to another contrib'ed item, great! Please read the contrib guidelines to
 speed up the inclusion of your submission in the archives.
