=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg// \
	http://sf.net/mon/mon-contrib-(.*)\.tar\.gz
